libosmocore 1.13.1.1-afb4 Osmocom core library

Data Fields
osmo_fd Struct Reference
Select loop abstraction

Structure representing a file dsecriptor. More...

`#include <select.h>`

## Data Fields
struct llist_head | list
| linked list for internal management More...
int | fd
| actual operating-system level file decriptor More...
unsigned int | when
| bit-mask or of OSMO_FD_READ, OSMO_FD_WRITE and/or OSMO_FD_EXCEPT More...
int(* | cb )(struct osmo_fd *fd, unsigned int what)
| call-back function to be called once file descriptor becomes available More...
void * | data
| data pointer passed through to call-back function More...
unsigned int | priv_nr
| private number, extending data More...

## Detailed Description

Structure representing a file dsecriptor.

## Field Documentation

## ◆ cb

int(* osmo_fd::cb) (struct osmo_fd *fd, unsigned int what)

call-back function to be called once file descriptor becomes available

Referenced by osmo_wqueue_init().

## ◆ data

void* osmo_fd::data

data pointer passed through to call-back function

Referenced by iofd_poll_ofd_cb_dispatch(), iofd_poll_ofd_cb_recvmsg_sendmsg(), osmo_mnl_fd_cb(), tundev_read_cb(), and tundev_write_cb().

## ◆ fd

int osmo_fd::fd

actual operating-system level file decriptor

Referenced by _log_target_file_setup_iofd(), iofd_poll_ofd_cb_recvmsg_sendmsg(), log_target_file_destroy(), log_target_file_reopen(), log_target_file_switch_to_stream(), log_target_file_switch_to_wqueue(), osmo_stats_timer_cb(), osmo_tundev_close(), osmo_tundev_get_fd(), osmo_tundev_open(), rate_ctr_init(), rate_ctr_timer_cb(), start_timer(), tundev_decaps(), and tundev_write_cb().

## ◆ list

struct llist_head osmo_fd::list

linked list for internal management

## ◆ priv_nr

unsigned int osmo_fd::priv_nr

private number, extending data

## ◆ when

unsigned int osmo_fd::when

bit-mask or of OSMO_FD_READ, OSMO_FD_WRITE and/or OSMO_FD_EXCEPT

Referenced by iofd_poll_handle_recv(), osmo_wqueue_bfd_cb(), osmo_wqueue_clear(), and osmo_wqueue_enqueue_quiet().

The documentation for this struct was generated from the following file:

- include/osmocom/core/select.h